package nl.iobyte.themepark.api.config.enums;

public enum StorageKey {

    //General Settings
    CMD(StorageLocation.SETTINGS, "cmd"),
    RIDECOUNT_TOTAL_TYPE(StorageLocation.SETTINGS, "ridecount_total_type"),

    //Update Settings
    UPDATE_CHECK_ENABLED(StorageLocation.SETTINGS, "update.check"),
    UPDATE_DOWNLOAD_ENABLED(StorageLocation.SETTINGS, "update.download"),

    //Database Settings
    MYSQL_ENABLED(StorageLocation.SETTINGS, "mysql.enabled"),
    MYSQL_URL(StorageLocation.SETTINGS, "mysql.url"),
    MYSQL_HOST(StorageLocation.SETTINGS, "mysql.host"),
    MYSQL_PORT(StorageLocation.SETTINGS, "mysql.port"),
    MYSQL_NAME(StorageLocation.SETTINGS, "mysql.name"),
    MYSQL_USERNAME(StorageLocation.SETTINGS, "mysql.username"),
    MYSQL_PASSWORD(StorageLocation.SETTINGS, "mysql.password"),

    //Menu Settings
    MENU_ENABLED_MAIN(StorageLocation.MENU, "menu.main.enabled"),
    MENU_SIZE_MAIN(StorageLocation.MENU, "menu.main.size"),
    MENU_TITLE_MAIN(StorageLocation.MENU, "menu.main.title"),
    MENU_TITLE_STATUS(StorageLocation.MENU, "menu.status.title"),

    //Menu Item
    MENU_ITEM_ENABLED(StorageLocation.MENU, "menu.item.enabled"),
    MENU_ITEM_MATERIAL(StorageLocation.MENU, "menu.item.material"),
    MENU_ITEM_DATA(StorageLocation.MENU, "menu.item.data"),
    MENU_ITEM_NAME(StorageLocation.MENU, "menu.item.name"),
    MENU_ITEM_SLOT(StorageLocation.MENU, "menu.item.slot"),
    MENU_ITEM_CLEAR(StorageLocation.MENU, "menu.item.clear"),
    MENU_ITEM_WORLDS(StorageLocation.MENU, "menu.item.worlds"),

    //Status Sign
    SIGN_STATUS_NAME(StorageLocation.SETTINGS, "sign.status.name"),
    SIGN_STATUS_TITLE(StorageLocation.SETTINGS, "sign.status.title");

    private final StorageLocation location;
    private final String path;
    StorageKey(StorageLocation location, String path) {
        this.location = location;
        this.path = path;
    }

    /**
     * Get storage location key is stored in
     * @return StorageLocation
     */
    public StorageLocation getLocation() {
        return location;
    }

    /**
     * Get path to value
     * @return String
     */
    public String getPath() {
        return path;
    }

}
