package nl.iobyte.themepark.api.event.objects;

import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class ChangeEvent<T> extends Event {

    private static final HandlerList handlers = new HandlerList();
    private final T old, current;

    public ChangeEvent(T old, T current) {
        this.old = old;
        this.current = current;
    }

    public T getOld() {
        return old;
    }

    public T getCurrent() {
        return current;
    }

    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList getHandlerList() {
        return handlers;
    }

}
