package nl.iobyte.themepark.api.ridecount.objects;

import java.util.UUID;

public class RideCount {

    private final UUID uuid;
    private final String attraction_id;
    private final int year, month, week, day;
    private int count, total_count;
    private long updated_at;

    public RideCount(UUID uuid, String attraction_id, int count, int total_count, int year, int month, int week, int day) {
        this(
                uuid,
                attraction_id,
                count,
                total_count,
                year,
                month,
                week,
                day,
                -1
        );
    }

    public RideCount(UUID uuid, String attraction_id, int count, int total_count, int year, int month, int week, int day, long updated_at) {
        this.uuid = uuid;
        this.attraction_id = attraction_id;
        this.count = count;
        this.total_count = total_count;
        this.year = year;
        this.month = month;
        this.week = week;
        this.day = day;
        this.updated_at = updated_at;
    }

    public UUID getUUID() {
        return uuid;
    }

    public String getAttractionID() {
        return attraction_id;
    }

    public int getYear() {
        return year;
    }

    public int getMonth() {
        return month;
    }

    public int getWeek() {
        return week;
    }

    public int getDay() {
        return day;
    }

    public int getCount() {
        return count;
    }

    public int getTotalCount() {
        return total_count;
    }

    public void addCount(int count) {
        this.count += count;
        this.total_count += count;
        updated_at = System.currentTimeMillis();
    }

    public long getUpdatedAt() {
        return updated_at;
    }

}
