package nl.iobyte.themepark.api.sync.objects;

import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.ThemeParkAPI;
import nl.iobyte.themepark.api.attraction.objects.Region;
import nl.iobyte.themepark.api.config.enums.StorageLocation;
import nl.iobyte.themepark.api.sync.interfaces.ISync;
import nl.iobyte.themepark.logger.ThemeParkLogger;

public class ConfigurationSync implements ISync {

    /**
     * Save all configuration files
     */
    public void sync() {
        ThemeParkAPI api = ThemePark.getInstance().getAPI();
        for(StorageLocation location : StorageLocation.values())
            if(location != StorageLocation.SETTINGS)
                api.getConfigurationManager().save(location);

        for(Region region : api.getAttractionService().getRegions().values())
            region.getConfiguration().save();

        ThemeParkLogger.toConsole("Configuration data saved to file");
    }

}
