package nl.iobyte.themepark.commands.arguments;

import nl.iobyte.commandapi.interfaces.ICommandArgument;
import nl.iobyte.commandapi.objects.ArgumentCheck;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.objects.Region;
import org.bukkit.ChatColor;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import java.util.List;

public class RegionArgument implements ICommandArgument<Region> {

    /**
     * Message to display when giving an error
     * @return String
     */
    public String getMessage(String[] args) {
        return "No Region found with ID: "+ ChatColor.WHITE+args[0];
    }

    /**
     * Check if argument is valid Region
     * @param sender ICommandExecutor
     * @param args Arguments passed by Command
     * @param previousArguments Previous arguments
     * @return Boolean
     */
    public ArgumentCheck checkArgument(ICommandExecutor sender, String[] args, List<Object> previousArguments) {
        return new ArgumentCheck(ThemePark.getInstance().getAPI().getAttractionService().hasRegion(args[0]), 1);
    }

    /**
     * Get Region passed by command
     * @param sender ICommandExecutor
     * @param args Arguments passed by Command
     * @param previousArguments Previous arguments
     * @return Region
     */
    public Region getArgument(ICommandExecutor sender, String[] args, List<Object> previousArguments) {
        return ThemePark.getInstance().getAPI().getAttractionService().getRegion(args[0]);
    }

}
