package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.arguments.StringArgument;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import java.util.List;

public class AttractionCoverCommand extends SubCommand {

    public AttractionCoverCommand(String cmd)  {
        super("themepark.admin", "attraction", "cover");

        addSyntax("/"+cmd+" attraction cover <id> <url>")
                .addArgument(new AttractionArgument())
                .addArgument(new StringArgument());
    }

    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        String url = (String) list.get(1);
        attraction.setCover(url);
        sender.sendMessage(Text.color("&6&lThemePark &f➢ &aSuccessfully changed the cover of attraction &f"+attraction.getName()));
    }
}
