package nl.iobyte.themepark.commands.subcommands.attraction;

import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.message.MessageKey;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import nl.iobyte.themepark.scheduler.ThemeParkScheduler;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import org.bukkit.entity.Player;
import java.util.List;

public class AttractionWarpCommand extends SubCommand {

    public AttractionWarpCommand(String cmd)  {
        super(new String[]{"attraction", "warp"});

        addSyntax("/"+cmd+" attraction warp <id>")
                .addArgument(new AttractionArgument())
                .setAllowConsole(false);
    }

    public void onCommand(ICommandExecutor sender, List<Object> list, int i) {
        Player player = (Player) sender.getOriginal();
        Attraction attraction = (Attraction) list.get(0);
        if(!attraction.getStatus().canTeleport()) {
            String message = MessageKey.ATTRACTION_TELEPORT_STATUS.getMessage();
            message = message.replace("{name}", attraction.getName());
            message = message.replace("{status}", attraction.getStatus().getColor() + attraction.getStatus().getName());
            player.sendMessage(Text.color(message));
            return;
        }

        if(attraction.getLocation() == null) {
            player.sendMessage(Text.color("&6&lThemePark &f➢ &4No location available for this attraction"));
            return;
        }

        ThemeParkScheduler.runSync(() -> {
            player.teleport(attraction.getLocation());
            String message = MessageKey.ATTRACTION_TELEPORT_SUCCESS.getMessage();
            message = message.replace("{name}", attraction.getName());
            player.sendMessage(Text.color(message));
        });
    }

}
