package nl.iobyte.themepark.commands.subcommands.region;

import com.cryptomorin.xseries.XMaterial;
import nl.iobyte.commandapi.arguments.MessageArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.objects.Region;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.MaterialArgument;
import nl.iobyte.themepark.commands.arguments.NoRegionArgument;

import java.util.List;

public class RegionCreateCommand extends SubCommand {

    public RegionCreateCommand(String cmd)  {
        super("themepark.admin", "region", "create");

        addSyntax("/"+cmd+" region create <id> <name>")
                .addArgument(new NoRegionArgument())
                .addArgument(new MessageArgument());

        addSyntax("/"+cmd+" region create <id> <name> <material>")
                .addArgument(new NoRegionArgument())
                .addArgument(new MessageArgument())
                .addArgument(new MaterialArgument());
    }

    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        String id = (String) list.get(0);
        String name = (String) list.get(1);
        XMaterial material = XMaterial.NAME_TAG;
        if(i != 0)
            material = (XMaterial) list.get(2);

        ThemePark.getInstance().getAPI().getAttractionService().addRegion(new Region(
                id,
                name,
                material.parseMaterial()
        ));
        sender.sendMessage(Text.color("&6&lThemePark &f➢ &aSuccessfully created region &f"+name));
    }

}
