package nl.iobyte.themepark.commands.subcommands.ridecount;

import nl.iobyte.commandapi.arguments.number.IntegerArgument;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.themepark.commands.arguments.AttractionArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.themepark.commands.arguments.PlayersArgument;
import org.bukkit.entity.Player;
import java.util.List;

public class RideCountAddCommand extends SubCommand {

    public RideCountAddCommand(String cmd)  {
        super("themepark.admin", "ridecount", "add");

        addSyntax("/"+cmd+" ridecount add <attraction> <selector> <amount>")
                .addArgument(new AttractionArgument())
                .addArgument(new PlayersArgument())
                .addArgument(new IntegerArgument());
    }

    
    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Attraction attraction = (Attraction) list.get(0);
        List<Player> players = (List<Player>) list.get(1);
        int amount = (Integer) list.get(2);

        for(Player player : players)
            ThemePark.getInstance().getAPI().getRideCountService().addCount(
                    attraction.getID(),
                    player.getUniqueId(),
                    amount
            );

        sender.sendMessage(Text.color(
                "&6&lThemePark &f➢ &aSuccessfully added count of: &6"+amount+"x &ato attraction: &f"+attraction.getName()+" &afor &6"+players.size()+" &aplayers"
        ));
    }

}
