package nl.iobyte.themepark.commands.subcommands.status;

import nl.iobyte.commandapi.arguments.EnumArgument;
import nl.iobyte.commandapi.arguments.StringArgument;
import nl.iobyte.commandapi.objects.SubCommand;
import nl.iobyte.themepark.api.attraction.enums.Status;
import nl.iobyte.themepark.api.message.Text;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import org.bukkit.entity.Player;
import java.util.List;

public class StatusColorCommand extends SubCommand {

    public StatusColorCommand(String cmd)  {
        super("themepark.admin", "status", "color");

        addSyntax("/"+cmd+" status color <id> <color>")
                .addArgument(new EnumArgument(Status.values()))
                .addArgument(new StringArgument());
    }

    
    public void onCommand(ICommandExecutor  sender, List<Object> list, int i) {
        Status status = (Status) list.get(0);
        String color = (String) list.get(1);
        status.setColor(color);
        sender.sendMessage(Text.color("&6&lThemePark &f➢ &aSuccessfully changed the color of status &f"+status.toString()));
    }

}
